Priority: Minor Due date:

Assignee: % Done: 0%

Category: plugins/qtui Estimated time: 0.00 hour
Target version: 41

Affects version: 41

Description

Non-English locale, some Qt-based elements (like certain context menus and dialog windows) are in English. The GTK mode is fine
(all translated). Tested with audacious-4.1-beta1-win32.

History

#1 - January 10, 2021 01:01 - Thomas Lange

Thanks, but this has already been reported as #569.
At least we know now this occurs on Windows as well.

#2 - January 10, 2021 04:44 - John Lindgren

Is it just files missing from the installer/zip file?

| honestly don't know how to test translations under Windows. In Linux you can just change the LANG variable. | don't know what the Windows
equivalent is.

#3 - January 10, 2021 08:40 - Arek Kentski

John Lindgren wrote:
Is it just files missing from the installer/zip file?

| honestly don't know how to test translations under Windows. In Linux you can just change the LANG variable. | don't know what the Windows
equivalent is.

| don't really know. It seems that the "translations" folder filled with *.qm files is required and that folder must be "enabled" in app's source code.

#4 - January 10, 2021 13:27 - Thomas Lange

Arch Linux for example provides the package qt5-translations:
https://archlinux.org/packages/extra/any/qt5-translations/files/

The Windows Qt build should probably ship the required gm files as well.
But we also have to import them via code, see my original patch in #569.

In Linux you can just change the LANG variable. | don't know what the Windows equivalent is.
http://www.redmine.audacious-media-player.org/issues/569
https://archlinux.org/packages/extra/any/qt5-translations/files/
http://www.redmine.audacious-media-player.org/issues/569

| think we should first make sure it works on Linux, afterwards we can tackle the Windows Installer.

#5 - January 22, 2021 23:43 - John Lindgren

- Status changed from New to Rejected

Closing as duplicate of #569 (which is now fixed).
